%define version 0.7.0
%define release 1mdk

Summary: 	Collection of simple PIN or passphrase entry dialogs
Name: 		pinentry
Version: 	%{version}
Release: 	%{release}
Source0: 	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.gz
Source1:	%{SOURCE0}.sig
License: 	GPL
Group: 		System/Cryptography
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: 		http://www.gnupg.org/

BuildRequires:	gtk+-devel
BuildRequires:	libcap-devel
BuildRequires:	ncurses-devel
BuildRequires:	qt3-devel

%description 
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

%package	gtk
Summary:	GTK+ interface of pinentry
Group:		System/Cryptography
Requires:	%{name} = %{version}-%{release}

%description	gtk
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides GTK+ interface of the dialog.

%package	qt
Summary:	QT interface of pinentry
Group:		System/Cryptography
Requires:	%{name} = %{version}-%{release}

%description	qt
%{name} is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project.

This package provides QT interface of the dialog.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

pushd %{buildroot}%{_bindir}
ln -s pinentry-curses pinentry
popd

%clean
rm -rf %{buildroot}

%post 
%_install_info %{name}.info

%preun 
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS AUTHORS THANKS
%{_bindir}/pinentry
%{_bindir}/pinentry-curses
%{_infodir}/*.info*

%files gtk
%defattr(-,root,root)
%{_bindir}/pinentry-gtk

%files qt
%defattr(-,root,root)
%{_bindir}/pinentry-qt

%changelog
* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.7.0-1mdk
- New version
- Enable all interfaces

* Fri Nov 14 2003 Florin <florin@mandrakesoft.com> 0.6.9-2mdk
- rebuild

* Wed Apr 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.9-1mdk
- Update version

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.8-1mdk
- Update and fix spec file thanks to <fabrice-marie-sec@ifrance.com>

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.6-2mdk
- Fix link as report Jason Straight <jason@JeetKuneDoMaster.net>

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.6-1mdk
- update spec file from Fabrice MARIE <fabrice-marie-sec@ifrance.com>

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.5-1mdk
- Initial package
